# Code of Conduct

Version: 1.1

Apache 2.0 license, derived from the Apache Foundation Code of Conduct.
Also, CC BY-SA 3.0 derived from the Mozilla Community Participation Guidelines.

Our goal is to cultivate a safe, friendly, and inclusive space that benefits all participants in the ZKsync ecosystem.
This Code of Conduct outlines our shared values and expectations to help ensure that the community remains a positive and enriching environment for everyone.

## When and how to use this Code of Conduct

This is your guide for engaging as a participant in the ZKsync ecosystem.
It applies to all physical and digital spaces related to ZKsync.

## Expected behaviors

**Be ethical**:
We endeavor to enrich the ZKsync ecosystem, while not infringing on the rights and wellbeing of others.
We also endeavor to enrich ourselves without causing harm to the ZKsync community.
We do not encourage tax evasion, promoting information leaks, speculating on tokens or token prices, or otherwise breaking the law.

**Be kind and respectful**:
Treat everyone with kindness, empathy, and respect.
We all come from different backgrounds, perspectives and experiences,
so let's celebrate our differences and foster a culture of openness and understanding.
We may have strong feelings about other layer 1 and layer 2 blockchains,
but that is no reason to disparage, defame, or slander any competitor to ZKsync or what other chains are doing.
Feel free to compare metrics and features, but keep to the facts and be respectful of all the builders in web3
trying to advance freedom through blockchain technology!

**Share and learn**:
Our community is a space for sharing knowledge, experiences, and ideas.
Positively contribute to discussions, offer helpful feedback,
be willing to educate others on your work and remain open to learning from others.

**Give credit**:
When sharing content or ideas that aren't your own, ensure you give proper credit to the original creator.
Plagiarism and intellectual property infringement are strictly prohibited.

**Respect privacy**:
Always seek consent before sharing personal information about yourself or others.
Respecting each other's privacy is vital to building trust within our community.

**Be inquisitive and embrace continuous improvement**:
We strive to improve from each experience, and are open to constructive criticism.
We encourage questions, and redirect them to the appropriate channel if we do not have the answer.

**Mind your language**:
Communication is key.
Use clear and considerate language in your interactions.
We aim to create a welcoming environment for users of all ages, so please avoid excessive profanity or explicit content.
Remember that ZKsync community members are a diverse bunch.
English is our primary working language, but to help others where English is not their first language,
be succinct and avoid acronyms where possible.

**Stay on topic**:
While we encourage friendly conversations, please ensure your discussions remain relevant to the community's purpose.
To keep our space focused and valuable, off-topic or irrelevant content may be redirected or removed.
Specific topics that are not appropriate include offering to buy or sell any cryptocurrency or engage in price speculation.

**No hate speech or harassment**:
Let's maintain a constructive and uplifting atmosphere in all interactions.
We have a zero-tolerance policy for any form of hate speech, bullying, harassment, or discrimination.
This includes, but is not limited to:

- Violent threats or language directed against another person.
- Sexist, racist, or otherwise discriminatory jokes and language.
- Posting sexually explicit or violent material.
- Posting (or threatening to post) other people's personally identifying information ("doxing").
- Sharing private content without explicit consent, such as messages sent privately or non-publicly.
- Personal insults.
- Unwelcome sexual attention.
- Excessive or unnecessary profanity.
- Repeated harassment of others. In general, if someone asks you to stop, then stop.
- Advocating for, or encouraging, any of the above behavior.

**Have fun and connect**:
Finally, remember that ZK Squad and the ZKsync community is a place to connect, learn, and enjoy.
Participate in a manner that encourages positive interactions and enhances the experiences of all.

## Managing violations

If you come across inappropriate content or behavior, please report it without delay.
By working together, we can maintain a positive and safe environment.

If you are the subject of, or witness to, any violations of this Code of Conduct, please contact us at community@zksync.io.